path: /build/build/whip-app-admin-0.0.3+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - cd ${PACKAGE_NAME} && git checkout "${GIT_HASH%\+*}" && make build && mkdir -p
    /whip/usr/bin && mv ${PACKAGE_NAME} /whip/usr/bin/${PACKAGE_NAME}
  env:
  - GITHUB_ORG=macaroni-os
  - GITHUB_NAME=whip
  - GIT_HASH=v0.0.3+1
  prelude:
  - luet i -y --sync-repos --purge-repos --cleanup make upx-bin go ca-certificates
    git && mkdir /tmp/ && git clone https://github.com/${GITHUB_ORG}/${GITHUB_NAME}.git
  image: macaronios/terragon-testing-minimal:latest-amd64
  seed: macaronios/terragon-testing-minimal:latest-amd64
  package:
    name: whip
    version: 0.0.3+1
    category: app-admin
    description: System Status Inspector and Hooks handler
    uri:
    - https://github.com/macaroni-os/whip
    license: GPL-3.0
    buildtimestamp: 2024-04-27 11:11:30.227142079 +0000 UTC m=+153.376958923
    labels:
      github.owner: whip
      github.repo: macaroni-os
    treedir: /build/packages
  package_dir: /whip
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-commons-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a1cf23ffd427c5dbcedce02a0a577055e3a5e1d121c3684799e3b12e90b031ec
compressiontype: zstd
files:
- usr/bin/whip
package_cacheimage: ""
runtime:
  name: whip
  version: 0.0.3+1
  category: app-admin
  description: System Status Inspector and Hooks handler
  uri:
  - https://github.com/macaroni-os/whip
  license: GPL-3.0
  labels:
    github.owner: whip
    github.repo: macaroni-os
